{{- if and .Values.web.enabled .Values.web.ingress.enabled (not (empty .Values.web.ingress.docs_annotations)) -}}
  {{- $fullName := include "app.fullname" . -}}
  {{- $domain := (.Values.web.ingress.domain | default (printf "%s-%s" .Values.web.service.name .Values.web.ingress.base_domain)) }}
  {{- $secretName := (.Values.web.ingress.tls_secret | default (printf "%s-tls" $domain)) }}
  {{- $svcName := .Values.web.service.name -}}
  {{- $svcPort := .Values.web.service.port -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $fullName }}-docs
  labels:
  {{- include "app.labels" . | nindent 4 }}
  {{- with .Values.web.ingress.docs_annotations }}
  annotations:
  {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  {{- if .Values.web.ingress.tls }}
  tls:
    - hosts:
      - {{ $domain | quote }}
      secretName: {{ $secretName }}
  {{- end }}
  rules:
    - host: {{ $domain | quote }}
      http:
        paths:
          - path: /docs
            pathType: Prefix
            backend:
              service:
                name: {{ $svcName }}
                port:
                  number: {{ $svcPort }}
          - path: /api-docs
            pathType: Prefix
            backend:
              service:
                name: {{ $svcName }}
                port:
                  number: {{ $svcPort }}
{{- end }}
